For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orders Source (DOMS)

Endpoints to create, update, read, and delete order source configurations.

Get order source config

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Returns available sources of orders.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

All order sources after given Id

sizeinteger · min: 1 · max: 500Optional

Number of order sources to show

Default: 25
Responses
200

The Order Source Configuration can be found in the body.

application/json

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

This configuration is to define possible sources of an order

createdstring · date-timeOptional

The date this configuration was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
idstringOptional
lastModifiedstring · date-timeOptional

The date the config was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the configuration to be used in optimistic locking mechanisms.

Example: 42
get/api/configurations/ordersources
GET /api/configurations/ordersources HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2020-02-03T08:45:51.525Z",
  "id": "text",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "orderSources": [
    {
      "nameLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "id": "text",
      "name": "text",
      "tenantSourceId": "text",
      "version": 1
    }
  ],
  "version": 42
}

Create order source config

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Create order sources.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

Possible source of an order

tenantSourceIdstringOptional
Responses
201

The order source configuration was successfully created.

application/json

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

Possible source of an order

idstringRequired
namestringOptional
tenantSourceIdstringOptional
versionintegerRequired
post/api/configurations/ordersources
POST /api/configurations/ordersources HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "tenantSourceId": "text"
}
{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "id": "text",
  "name": "text",
  "tenantSourceId": "text",
  "version": 1
}

Update order source config

put

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Update order source.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ordersourceIdstringRequired
Body

Possible source of an order, used for update operations, where the version is required for optimistic locking

tenantSourceIdstringOptional
versionintegerRequired
Responses
200

The order source was successfully updated.

application/json

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

Possible source of an order

idstringRequired
namestringOptional
tenantSourceIdstringOptional
versionintegerRequired
put/api/configurations/ordersources/{ordersourceId}
PUT /api/configurations/ordersources/{ordersourceId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "tenantSourceId": "text",
  "version": 1
}
{
  "nameLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "id": "text",
  "name": "text",
  "tenantSourceId": "text",
  "version": 1
}
delete

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Delete order source.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ordersourceIdstringRequired
Responses
200Success
application/json

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

This configuration is to define possible sources of an order

createdstring · date-timeOptional

The date this configuration was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
idstringOptional
lastModifiedstring · date-timeOptional

The date the config was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the configuration to be used in optimistic locking mechanisms.

Example: 42
delete/api/configurations/ordersources/{ordersourceId}
DELETE /api/configurations/ordersources/{ordersourceId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2020-02-03T08:45:51.525Z",
  "id": "text",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "orderSources": [
    {
      "nameLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "id": "text",
      "name": "text",
      "tenantSourceId": "text",
      "version": 1
    }
  ],
  "version": 42
}

Last updated

Was this helpful?